/*
 * This file is generated by jOOQ.
 */
package be.lghs.accounting.model.enums;


import be.lghs.accounting.model.Accounting;

import javax.annotation.processing.Generated;

import org.jooq.Catalog;
import org.jooq.EnumType;
import org.jooq.Schema;


/**
 * This class is generated by jOOQ.
 */
@Generated(
    value = {
        "https://www.jooq.org",
        "jOOQ version:3.14.9",
        "schema version:accounting_0010"
    },
    comments = "This class is generated by jOOQ"
)
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public enum UserRole implements EnumType {

    ROLE_MEMBER("ROLE_MEMBER"),

    ROLE_ADMIN("ROLE_ADMIN"),

    ROLE_TREASURER("ROLE_TREASURER"),

    ROLE_OLD_MEMBER("ROLE_OLD_MEMBER");

    private final String literal;

    private UserRole(String literal) {
        this.literal = literal;
    }

    @Override
    public Catalog getCatalog() {
        return getSchema().getCatalog();
    }

    @Override
    public Schema getSchema() {
        return Accounting.ACCOUNTING;
    }

    @Override
    public String getName() {
        return "user_role";
    }

    @Override
    public String getLiteral() {
        return literal;
    }
}
